'Make the size of the recent menu in the browser a variable. I use long ones.'!

Browser addClassVarName: 'RecentSize'!

!Browser class methodsFor: 'class initialization' stamp: 'stp 8/15/2000 01:15'!
initialize
	"Browser initialize"

	RecentSize := 24.
	RecentClasses := OrderedCollection new: RecentSize! !

'From Squeak2.9alpha of 24 July 2000 [latest update: #2447] on 20 August 2000 at 7:19:06 pm'!

!Browser methodsFor: 'class list' stamp: 'stp 8/20/2000 19:19'!
classListIndex: anInteger 
	"Set anInteger to be the index of the current class selection."

	| className |
	classListIndex := anInteger.
	self setClassOrganizer.
	messageCategoryListIndex := 0.
	messageListIndex := 0.
	lastEdit ifNil: [lastEdit := #editClass].
	editSelection == #editMessage ifTrue: [editSelection := lastEdit].
	contents := nil.
	self selectedClass ifNotNil:		"update recent class list"
		[className := self selectedClass name.
					(RecentClasses includes: className)
				ifTrue: [RecentClasses remove: className].
			RecentClasses addFirst: className.
			RecentClasses size > RecentSize
				ifTrue: [RecentClasses removeLast].
									"if no inst methods, switch to metaclass"
		metaClassIndicated := metaClassIndicated 
							| classOrganizer allMethodSelectors isEmpty].
	self changed: #classSelectionChanged.
	self changed: #classListIndex.	"update my selection"
	self changed: #messageCategoryList.
"STP -- Select the 'all' protocol by default"
	classListIndex = 0
		ifFalse: [messageCategoryListIndex := 
			(self messageCategoryListSelection == nil)
				ifTrue: [1]
				ifFalse: [self messageCategoryListSelectionIndex].
			messageListIndex _ 0.
			self changed: #messageCategoryListIndex.
			self changed: #messageList]
		ifTrue: [self changed: #messageList].
	self changed: #contents

"	self classCommentIndicated
		ifTrue: []
		ifFalse: [editSelection := anInteger = 0
					ifTrue: [metaClassIndicated | (systemCategoryListIndex == 0)
						ifTrue: [#none]
						ifFalse: [#newClass]]
					ifFalse: [#editClass]].
"! !

Browser initialize!
