'Make the size of the recent directory list a variable size.'!

FileList addClassVarName: 'RecentSize'!

!FileList class methodsFor: 'class initialization' stamp: 'stp 8/20/2000 19:17'!
initialize
	"FileList initialize"

	RecentSize := 24.
	RecentDirs := OrderedCollection new: RecentSize! !

!FileList methodsFor: 'private' stamp: 'stp 8/20/2000 19:18'!
addPath: aString
	"Add the given string to the list of recently visited directories."

	| full |
	aString ifNil: [^self].
	full := String streamContents: 
		[ :strm | 2 to: volList size do: 
			[ :i | strm nextPutAll: (volList at: i) withBlanksTrimmed.
			strm nextPut: FileDirectory pathNameDelimiter]].
	full := full, aString.
"Remove and super-directories of aString from the collection."
	RecentDirs removeAllSuchThat: [ :aDir | ((aDir, '*') match: full)].

"If a sub-directory is in the list, do nothing."
	(RecentDirs detect: [ :aDir | ((full, '*') match: aDir)] ifNone: [nil])
		ifNotNil: [^self].

	[RecentDirs size >= RecentSize]
		whileTrue: [RecentDirs removeFirst].
	RecentDirs addLast: full! !
